using System;
using System.ComponentModel;
using XYY.Core.Standard;

namespace XYY.Model.Standard.Finance
{

    public class Finance_ServiceDeliveryBillDetailInput : BaseEntity
    {

        [DisplayName("运单号")]
        public string TrackingNumber
        {
            get; set;
        }

        public int BillId
        {
            get; set;
        }

        [DisplayName("金额")]
        public decimal Amount
        {
            get; set;
        }

        [DisplayName("重量")]
        public decimal Weight
        {
            get; set;
        }



    }

    public class Finance_ServiceDeliveryBillDetail : BaseEntity
    {
        [DisplayName("运单号")]
        public string TrackingNumber
        {
            get; set;
        }

        public int OrderId
        {
            get; set;
        }

        public int BillId
        {
            get; set;
        }

        [DisplayName("金额")]
        public decimal Amount
        {
            get; set;
        }

        [DisplayName("系统金额")]
        public decimal SysAmount
        {
            get; set;
        }

        [DisplayName("费用类型")]
        public ServiceFeeType FeeType
        {
            get; set;
        }

        [DisplayName("确认金额")]
        public decimal ConfirmedAmount
        {
            get; set;
        }

        [DisplayName("重量")]
        public decimal Weight
        {
            get; set;
        }

        [DisplayName("系统重量")]
        public decimal SysWeight
        {
            get; set;
        }

        [DisplayName("是否确认")]
        public bool Confirmed
        {
            get; set;
        }

        [DisplayName("渠道名称")]
        public string ChannelName
        {
            get; set;
        }

        [DisplayName("系统邮编")]
        public string SystemZipCode
        {
            get; set;
        }

        [DisplayName("系统分区")]
        public string SystemAreaCode
        {
            get; set;
        }

        [DisplayName("系统上网时间")]
        public DateTime? SystemOnlineTime
        {
            get; set;
        }

        [DisplayName("系统上网时间")]
        public string CustomerName
        {
            get; set;
        }

        [DisplayName("系统上网时间")]
        public string SettlementCompanyName
        {
            get; set;
        }

        [DisplayName("系统订单状态")]
        public string OrderStatus
        {
            get; set;
        }
    }
}
